<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clientes</title>
    <script>
        fetch('http://localhost:3000/clientes')
            .then(response => response.json())
                .then(data => {
                    data.forEach(cliente => {
                        const para = document.createElement("p");
                        const node = document.createTextNode(`${cliente.id} - Nome: ${cliente.nome} - E-mail: ${cliente.email}`);
                        para.appendChild(node);
                        document.getElementById('api-response').appendChild(para);
                    });
                })
            .catch(error => console.error(error));
    </script>
</head>

<body>
    <h1>Clientes Cadastrados:</h1>
    <div id="api-response"></div>
</body>

</html>